#ifndef NDTSRS2A_H
#define NDTSRS2A_H

#ifdef __cplusplus
extern "C" {
#endif


RS2A_API NDTS_Boolean CALL_CONV RS2A_Initialise() ;
RS2A_API NDTS_Boolean CALL_CONV RS2A_Uninitialise() ;

RS2A_API NDTS_Boolean CALL_CONV RS2A_TakeSnapshot(unsigned long *pNumberOfBScans) ;

RS2A_API NDTS_Boolean CALL_CONV RS2A_GetAScan(unsigned long bScanIndex, unsigned long aScanIndex, short *pSamples, unsigned long numberOfBufferValues) ;
RS2A_API NDTS_Boolean CALL_CONV RS2A_GetGateData(unsigned long bScanIndex, unsigned long aScanIndex, RQ_GateOutput *pGateOutputs, unsigned long numberOfBufferValues) ;
RS2A_API NDTS_Boolean CALL_CONV RS2A_GetEncoderData(unsigned long bScanIndex, long *pEncoderValues, unsigned long numberOfBufferValues) ;


#ifdef __cplusplus
}
#endif

#endif